[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDockManager.AutoFreeByControl

Returns True if the DockManager should be destroyed together with the docksite.

## Declaration

Source position: controls.pp line 685

`public function TDockManager.AutoFreeByControl: Boolean; virtual;`

## Function result

True if the DockManager should be destroyed together with the docksite.

## Description

This is a Lazarus-specific extension of the Delphi TDockManager. It allows multiple docksites to share the same DockManager instance.